## AgsFxPlaybackAudioProcessor

AgsFxPlaybackAudioProcessor — fx playback audio processor

## Stability Level

Stable, unless otherwise indicated

## Functions

void | ags_fx_playback_audio_processor_data_put ()
void | ags_fx_playback_audio_processor_data_get ()
void | ags_fx_playback_audio_processor_play ()
void | ags_fx_playback_audio_processor_record ()
void | ags_fx_playback_audio_processor_feed ()
void | ags_fx_playback_audio_processor_master ()
void | ags_fx_playback_audio_processor_counter_change ()
AgsFxPlaybackAudioProcessor * | ags_fx_playback_audio_processor_new ()

## Types and Values

enum | AgsFxPlaybackAudioProcessorDataMode

## Object Hierarchy

        GObject
        ╰── AgsRecall
            ╰── AgsRecallAudioRun
                ╰── AgsFxPlaybackAudioProcessor

## Includes

    #include <ags/audio/fx/ags_fx_playback_audio_processor.h>

## Description

The AgsFxPlaybackAudioProcessor class provides ports to the effect processor.

## Functions

### ags_fx_playback_audio_processor_data_put ()

    void
    ags_fx_playback_audio_processor_data_put
                                   (AgsFxPlaybackAudioProcessor *fx_playback_audio_processor,
                                    AgsBuffer *buffer,
                                    guint data_mode);

### ags_fx_playback_audio_processor_data_get ()

    void
    ags_fx_playback_audio_processor_data_get
                                   (AgsFxPlaybackAudioProcessor *fx_playback_audio_processor,
                                    AgsBuffer *buffer,
                                    guint data_mode);

### ags_fx_playback_audio_processor_play ()

    void
    ags_fx_playback_audio_processor_play (AgsFxPlaybackAudioProcessor *fx_playback_audio_processor);

### ags_fx_playback_audio_processor_record ()

    void
    ags_fx_playback_audio_processor_record
                                   (AgsFxPlaybackAudioProcessor *fx_playback_audio_processor);

### ags_fx_playback_audio_processor_feed ()

    void
    ags_fx_playback_audio_processor_feed (AgsFxPlaybackAudioProcessor *fx_playback_audio_processor);

### ags_fx_playback_audio_processor_master ()

    void
    ags_fx_playback_audio_processor_master
                                   (AgsFxPlaybackAudioProcessor *fx_playback_audio_processor);

### ags_fx_playback_audio_processor_counter_change ()

    void
    ags_fx_playback_audio_processor_counter_change
                                   (AgsFxPlaybackAudioProcessor *fx_playback_audio_processor);

### ags_fx_playback_audio_processor_new ()

    AgsFxPlaybackAudioProcessor *
    ags_fx_playback_audio_processor_new (AgsAudio *audio);

Create a new instance of AgsFxPlaybackAudioProcessor

#### Parameters

audio | the AgsAudio |

#### Returns

the new AgsFxPlaybackAudioProcessor

Since: 3.3.0

## Types and Values

### enum AgsFxPlaybackAudioProcessorDataMode

Enum values to enable specific data mode of AgsFxPlaybackAudioProcessor.

#### Members

AGS_FX_PLAYBACK_AUDIO_PROCESSOR_DATA_MODE_PLAY | data mode play sound |
AGS_FX_PLAYBACK_AUDIO_PROCESSOR_DATA_MODE_RECORD | data mode record sound |
AGS_FX_PLAYBACK_AUDIO_PROCESSOR_DATA_MODE_FEED | data mode feed audio signal |
AGS_FX_PLAYBACK_AUDIO_PROCESSOR_DATA_MODE_MASTER | data mode master audio signal |